#!/bin/bash

if [ "$#" -lt 2 ]; then
    echo "Usage: $0 <path-to-file> <device.dtb> <device1.dtbo> <device2.dtbo> ..."
    exit 1
fi

path="$1"
dtb_file="$2"
shift 2  # Shift to exclude path and dtb_file from further arguments

# Adjust boot_conf line
boot_conf="$(printf '#conf-%s' "$@")"

# Adjust list_dtbo line, excluding the dtb_file
list_dtbo="apusys.dtbo $*"
list_dtbo="${list_dtbo// $dtb_file/}"  # Remove the dtb_file from the list if present

# Set boot_targets
boot_targets="mmc0"

# Read the content of the file
content=$(<"$path")

# Replace the lines in the content
content_adjusted=$(echo "$content" | sed -E "s/boot_conf=.+/boot_conf=$boot_conf/; s/list_dtbo=.+/list_dtbo=$list_dtbo/; s/boot_targets=.+/boot_targets=$boot_targets/")

# Write the adjusted content back to the file
echo "$content_adjusted" > "$path"

echo "Adjustment completed for $path"
