#!/bin/bash

# Check if at least two arguments are provided
if [ "$#" -lt 2 ]; then
    echo "Usage: $0 <output_path> <dtbo_file1> [<dtbo_file2> ...] <dtb_file1> [<dtb_file2> ...]"
    exit 1
fi

output_path="$1"
shift  # Remove the first argument (output_path) from the list of arguments
mkdir -p $output_path

# Create the file with the specified contents
cat <<EOF > "$output_path/firmware-part.bbappend"
FILESEXTRAPATHS:prepend := "\${THISDIR}/files:"

SRC_URI = " \\ \
$(echo)
$(echo "    file://apusys.dtbo \\")
$(for file in "$@"; do
    echo "    file://$file \\"
done)
"
EOF

echo "Script executed successfully. Check '$output_path/firmware-part.bbappend' for the result."
